<?php
global $page, $template, $conf, $rvm_dir;

$template->concat_var('PLUGIN_PICTURE_ACTIONS', '
  <a href="'.duplicate_picture_url().'" title="'.l10n('mode_normal_hint').'"><img src="'.get_root_url().'plugins/'.$rvm_dir.'/icons/map_m.png" class="button" alt="map"></a>
  ');

$template->assign_vars(
  array(
    'RVM_PLUGIN_VERSION' => RVM_PLUGIN_VERSION,
    'GMAPS_API_KEY' => $conf['gmaps_api_key'],
    'PLUGIN_ROOT_URL' => get_absolute_root_url().'plugins/'.$rvm_dir,
  )
  );

$template->set_filename( 'map_head', dirname(__FILE__).'/../template/picture_map_head.tpl' );

$template->assign_block_vars('head_element', array(
      'CONTENT' => $template->parse('map_head',true)
    )
  );

$page['meta_robots']=array('noindex'=>1, 'nofollow'=>1);


add_event_handler(
  'render_element_content',
  'rvm_picture_map_content',
  EVENT_HANDLER_PRIORITY_NEUTRAL-5,
  2
  );

add_event_handler( 'loc_end_picture', 'rvm_end_picture'  );


function rvm_picture_map_content($content, $picture)
{
  include_once( dirname(__FILE__) .'/functions_map.php');
  global $template;
  $template->set_filename( 'map_content', dirname(__FILE__).'/../template/picture_map_content.tpl' );
  $template->assign_vars(
    array(
      'TN_SRC' => $picture['thumbnail'],
      'U_NO_MAP' => duplicate_picture_url(),
      'U_BLOWUP' => rvm_make_blowup_url( array('ll'=>$picture), array('start','box') ),
      'COMMENT_IMG' => nl2br($picture['comment'])
    )
  );
  if ( isset($picture['lat']) )
  {
    $template->assign_block_vars( 'coordinates',
        array(
          'LAT' => $picture['lat'],
          'LON' => $picture['lon'],
        )
      );
  }
  return $template->parse( 'map_content', true);
}

function rvm_end_picture()
{
  global $template;
  unset( $template->_tpldata['legend.'] ); // no legend below picture (we put it left)
  if ( isset($template->_tpldata['rate.'][0]['F_ACTION']) )
    $template->_tpldata['rate.'][0]['F_ACTION'] = add_url_params( $template->_tpldata['rate.'][0]['F_ACTION'], array('map'=>null) );
}

?>